> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List all kyc documents

> List all kyc documents



## OpenAPI

````yaml get /store/kyc-document
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /store/kyc-document:
    parameters: []
    get:
      tags:
        - Store
      summary: List KYC documents
      description: >-
        Retrieves the list of KYC document types required for the store. Returns
        an array of `Kyc Document` objects defining document types, mandatory
        flags, and verification settings.
      operationId: list-kyc-document
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      kyc_documents:
                        type: array
                        items:
                          $ref: '#/components/schemas/KycDocumentConfig'
                      is_kyc_enabled:
                        type: boolean
                        default: false
                        readOnly: true
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - X-Api-Key: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/list-kyc-document
        description: API reference for the list-kyc-document operation
components:
  schemas:
    KycDocumentConfig:
      title: KycDocumentConfig
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/KycDocumentConfig
        description: API reference for the KycDocumentConfig schema
      required:
        - id
        - document_type
        - title
        - description
        - active
        - is_mandatory
        - is_attachment_required
        - verification_type
      properties:
        id:
          type: string
          readOnly: true
        document_type:
          enum:
            - gst
            - pan
            - other
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        active:
          type: boolean
          default: true
        is_mandatory:
          type: boolean
        is_attachment_required:
          type: boolean
        verification_type:
          enum:
            - auto
            - manual
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    X-Api-Key:
      type: apiKey
      description: API key for your store
      name: X-Api-Key
      in: header

````